AC_DEFUN([CHECK_SSL],[
	AC_MSG_CHECKING(for OpenSSL libraries)
    for dir in $withval /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do
        ssldir="$dir"
        if test -f "$dir/include/openssl/ssl.h"; then
            found_ssl="yes";
            CFLAGS="$CFLAGS -I$ssldir/include/openssl";
            CXXFLAGS="$CXXFLAGS -I$ssldir/include/openssl";
            break;
        fi
        if test -f "$dir/include/ssl.h"; then
            found_ssl="yes";
            CFLAGS="$CFLAGS -I$ssldir/include/";
            CXXFLAGS="$CXXFLAGS -I$ssldir/include/";
            break
        fi
    done
    if test x_$found_ssl != x_yes; then
        AC_MSG_ERROR(Cannot find ssl libraries)
		HAVE_SSL=no
    else
        printf "OpenSSL found in $ssldir\n";
        LIBS="$LIBS -lssl -lcrypto";
        LDFLAGS="$LDFLAGS -L$ssldir/lib";
        HAVE_SSL=yes
    fi
    AC_SUBST(HAVE_SSL)
])

AC_DEFUN([CHECK_SQLITE],[
	AC_MSG_CHECKING(for SQlite libraries)
    for dir in $withval /usr/local /usr/lib /usr /usr/pkg; do
        sqlitedir="$dir"
        if test -f "$dir/include/sqlite.h"; then
            found_sqlite="yes";
            CFLAGS="$CFLAGS -I$sqlitedir/include";
            CXXFLAGS="$CXXFLAGS -I$sqlitedir/include";
            break;
        fi
    done
    if test x_$found_sqlite != x_yes; then
        AC_MSG_ERROR(Cannot find sqlite libraries)
		HAVE_SQLITE=no
    else
        printf "SQlite found in $sqlitedir\n";
        LIBS="$LIBS -lsqlite";
        LDFLAGS="$LDFLAGS -L$sqlitedir/lib";
        HAVE_SQLITE=yes
    fi
    AC_SUBST(HAVE_SQLITE)
])
