/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef GENERAL_PREFS_TAB_HPP
#define GENERAL_PREFS_TAB_HPP

#include <gtkmm.h>
#include <sstream>

#include <gjournal/preferencesdialog.hpp>
#include <gjournal/prefstabinterface.hpp>

#include <iostream>
#include <config.h>

namespace gjournal
{
	class GeneralPrefsTab: public PrefsTabInterface, public Gtk::Table
	{
		public:
			GeneralPrefsTab( PreferencesDialog *prefs );

		protected:
			bool _save();

		private:
			PreferencesDialog *prefs;
			Gtk::Label fontLabel;

			#ifdef HAVE_GTKSPELL
				Gtk::Label spellLabel;
				Gtk::CheckButton spellButton;
			#endif

			Gtk::Button fontButton;
			Gtk::TextView *journalEntry;
			virtual void _layoutComponents();
			virtual void _getCurrentFont();
			virtual void _fontSelectionHandler();
			virtual void _loadSettings();

		friend class PreferencesDialog;
	};
}

#endif // GENERAL_PREFS_TAB_HPP
