/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gjournal/globals.hpp>

namespace gjournal
{
	#ifdef WIN32
		const char Globals::separator = '\\';
	#else
		const char Globals::separator = '/';
	#endif

	const std::string Globals::HOME_DIR = getenv( "HOME" );

	const std::string Globals::SETTINGS_DIR = Globals::HOME_DIR + Globals::separator + ".gtkjournal";
	const std::string Globals::SETTINGS_FILE = Globals::SETTINGS_DIR + Globals::separator + "settings";

	std::map<std::string, std::string> Globals::dbSettings;
	std::map<std::string, std::string> Globals::settings;
}
