/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef GLOBALS_HPP
#define GLOBALS_HPP

#include <string>
#include <stdlib.h>
#include <map>

namespace gjournal
{
	/**
	 * Just contains various global variables that will be used
	 * throughout the application
	 */
	class Globals
	{
		public:
			static const char separator;
			static const std::string HOME_DIR;
			static const std::string SETTINGS_DIR;
			static const std::string SETTINGS_FILE;
			static std::map<std::string, std::string> dbSettings;
			static std::map<std::string, std::string> settings;
	};
}

#endif //GLOBALS_HPP
