#ifndef JOURNAL_FILE_HPP
#define JOURNAL_FILE_HPP

#include <string>
#include <time.h>
#include <stdlib.h>
#include <unistd.h>
#include <sstream>
#include <fstream>
#include <gjournal/preferencesdialog.hpp>
#include <gjournal/globals.hpp>
#include <sqlitemm/sqlitemanager.hpp>
#include <aolib/bfcryptfile.hpp>
#include <gjournal/journalwindow.hpp>
#include <gjournal/icon.h>
#include <gjournal/versioncontroller.hpp>

namespace gjournal
{
	class JournalFile
	{
		public:
			JournalFile( JournalWindow *window );
			static bool isJournalFile( std::string file );

		private:
			bool _createNewFile( std::string file, std::string &error );
			void _preferences( bool saving = false );
			void _loadFileHandler( const char *f );

			std::string _getNewTempFile();
			JournalWindow *window;

			friend class JournalWindow;
	};
}

#endif // JOURNAL_FILE
