/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef PASSWORD_PREFS_TAB
#define PASSWORD_PREFS_TAB

#include <gtkmm.h>
#include <sqlitemm/sqlitemanager.hpp>
#include <gjournal/globals.hpp>
#include <gjournal/preferencesdialog.hpp>
#include <gjournal/prefstabinterface.hpp>

namespace gjournal
{
	class PasswordPrefsTab: public PrefsTabInterface, public Gtk::Table
	{
		public:
			PasswordPrefsTab( PreferencesDialog *prefs );

		private:
			void _layoutComponents();
			void _loadPrefs();
			bool _checkInformation();
			PreferencesDialog *prefs;
			Gtk::Label usernameLabel, passwordLabel, verifyLabel;
			Gtk::Entry usernameEntry, passwordEntry, verifyEntry;

		protected:
			bool _save();

		friend class PreferencesDialog;
	};
}

#endif // PASSWORD_PREFS_TAB
