/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef PREFERENCES_DIALOG_HPP
#define PREFERENCES_DIALOG_HPP

#include <gtkmm.h>
#include <gjournal/icon.h>
#include <sqlitemm/sqlitemanager.hpp>
#include <gjournal/globals.hpp>
#include <gjournal/prefstabinterface.hpp>
#include <map>
#include <fstream>

namespace gjournal
{
	class JournalWindow;

	class PasswordPrefsTab;
	class GeneralPrefsTab;

	class PreferencesDialog: public Gtk::Dialog
	{
		public:

			PreferencesDialog( JournalWindow *window, sqlitemm::SQliteManager *sql );
			virtual Gtk::TextView *getJournalEntry();
			virtual JournalWindow *getWindow();
			virtual ~PreferencesDialog();

			static void loadSettings( JournalWindow *window );
			static void saveSettings();
			static void loadDBSettings( JournalWindow *window );

		private:
			Gtk::Button applyButton, okButton;

			Gtk::HSeparator sep;
			PasswordPrefsTab *passwordTab;
			GeneralPrefsTab *generalTab;
			Gtk::Notebook notebook;
			sqlitemm::SQliteManager *sql;
			JournalWindow *window;
			virtual void _okHandler();
			virtual void _responseHandler( int response );
			virtual void _applyHandler();

			// sets out layout of the components
			virtual void _layoutComponents();
	};
}

// different preferences files
#include <gjournal/journalwindow.hpp>
#include <gjournal/passwordprefstab.hpp>
#include <gjournal/generalprefstab.hpp>

#endif // LOGIN_DIALOG_HPP
