/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include <gjournal/versioncontroller.hpp>

namespace gjournal
{
	void VersionController::checkVersion( sqlitemm::SQliteManager *sql )
	{
		std::string version = "";

		sqlitemm::SQliteResult res;

		try {
			res = sql->query( "SELECT revision FROM version" );
		}
		catch( sqlitemm::SQliteException ex )
		{
			VersionController::revision0351( sql, version );
		}
	}

	void VersionController::revision0351( sqlitemm::SQliteManager *sql, std::string &version )
	{
		try {
			sql->query( "CREATE TABLE version( revision VARCHAR(10) );" );
			sql->query( "INSERT INTO version VALUES( \"0.3.5\" );" );
			sql->query( "DROP TABLE settings" );
		}
		catch( sqlitemm::SQliteException ex )
		{
			std::cout << "Unable to update SQL database to newest version, exiting." << std::endl;
			exit( -1 );
		}
	}
}
